<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$fseries = $_SESSION["society_" . $dbname];
$success = false;
$maindb = 'contra';

$fseries = $_SESSION["series_" . $dbname];
$keycond = " and `series`='$fseries'";

$file = "contra.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];
$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `mydt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `frombankinit` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `tobankinit` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `chqno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `chqdate` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `mydt` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `frombankinit` LIKE '%$searchTerm%'";
    }  else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `tobankinit` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `chqno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND `chqdate` LIKE '%$searchTerm%'";
    } 
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
}  else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `mydt`";
}  else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `frombankinit`";
}  else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `tobankinit`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `chqno`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `chqdate`";
}
 
$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

mysqli_query($conn,  "Create temporary table `co` SELECT `vouchno`, `frombankinit`,`tobankinit`,
                            Date_Format(`vouchdt`, '%d/%m/%Y') as mydt, `chqno`,DATE_FORMAT(`chqdate`, '%d-%m-%Y') as chqdate
                            FROM `$maindb` ")or die(mysqli_error($conn));
    
    $srchresult = "SELECT * FROM `co` WHERE vouchno != '' $cond  $sortcond $ordcond  LIMIT $rangeFrom,$rangeTo"or die(mysqli_error($conn));
    
    $result = mysqli_query($conn, $srchresult)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
 
    $rows[] = [ 'success' => true,
        'value'        => $ctr,
        'keyfld'       => $keyfld,
        'vouchno'      => $r['vouchno'],
        'mydt'         => $r['mydt'],
        'frombankinit' => $r['frombankinit'],
        'tobankinit'   => $r['tobankinit'],
        'chqno'        => $r['chqno'],
        'chqdate'      => $r['chqdate'],
        'action'       => "$file?mode=edit&vouchno=$r[vouchno]&series=$fseries"
    ];
    $ctr++;
}

header("Content-type: application\json");
echo json_encode($rows);
